POST api/NTOrderSettings/PostCorporationOrderAuthorization

Request Information

URI Parameters

None.

Body Parameters

CorporationOrderAuthorizationDTO
NameDescriptionTypeAdditional information
Id

integer

None.

OrderTypeId

string

String length: inclusive between 0 and 20

OrderCategoryId

integer

None.

CorporationCode

string

String length: inclusive between 0 and 20

IsAuthorizationRequired

boolean

None.

Name

string

String length: inclusive between 0 and 200

ExamCustomName

string

String length: inclusive between 0 and 100

SubTypeName

string

String length: inclusive between 0 and 100

Sequence

integer

None.

Customstatus

boolean

None.

Protocols

string

String length: inclusive between 0 and 4000

StandardProtocols

string

String length: inclusive between 0 and 8000

IsCustome

boolean

None.

Description

string

String length: inclusive between 0 and 8000

DocumentList

Collection of ProtocolDocumentDTO

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "OrderTypeId": "sample string 2",
  "OrderCategoryId": 3,
  "CorporationCode": "sample string 4",
  "IsAuthorizationRequired": true,
  "Name": "sample string 6",
  "ExamCustomName": "sample string 7",
  "SubTypeName": "sample string 8",
  "Sequence": 9,
  "Customstatus": true,
  "Protocols": "sample string 11",
  "StandardProtocols": "sample string 12",
  "IsCustome": true,
  "Description": "sample string 14",
  "DocumentList": [
    {
      "Path": "sample string 1",
      "DocumentName": "sample string 2",
      "ProtocolId": 3,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:49:02.9328577-07:00",
      "DateUpdated": "2026-06-20T12:49:02.9328577-07:00",
      "UserIDCreated": 7,
      "UserIDUpdated": 8,
      "CompanyCode": "sample string 9",
      "IsExcludeDiscount": true
    },
    {
      "Path": "sample string 1",
      "DocumentName": "sample string 2",
      "ProtocolId": 3,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:49:02.9328577-07:00",
      "DateUpdated": "2026-06-20T12:49:02.9328577-07:00",
      "UserIDCreated": 7,
      "UserIDUpdated": 8,
      "CompanyCode": "sample string 9",
      "IsExcludeDiscount": true
    }
  ],
  "ValidFlag": true,
  "DateCreated": "2026-06-20T12:49:02.9328577-07:00",
  "DateUpdated": "2026-06-20T12:49:02.9328577-07:00",
  "UserIDCreated": 18,
  "UserIDUpdated": 19,
  "CompanyCode": "sample string 20",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfCorporationOrderAuthorizationDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

CorporationOrderAuthorizationDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "OrderTypeId": "sample string 2",
    "OrderCategoryId": 3,
    "CorporationCode": "sample string 4",
    "IsAuthorizationRequired": true,
    "Name": "sample string 6",
    "ExamCustomName": "sample string 7",
    "SubTypeName": "sample string 8",
    "Sequence": 9,
    "Customstatus": true,
    "Protocols": "sample string 11",
    "StandardProtocols": "sample string 12",
    "IsCustome": true,
    "Description": "sample string 14",
    "DocumentList": [
      {
        "Path": "sample string 1",
        "DocumentName": "sample string 2",
        "ProtocolId": 3,
        "ValidFlag": true,
        "DateCreated": "2026-06-20T12:49:02.9328577-07:00",
        "DateUpdated": "2026-06-20T12:49:02.9328577-07:00",
        "UserIDCreated": 7,
        "UserIDUpdated": 8,
        "CompanyCode": "sample string 9",
        "IsExcludeDiscount": true
      },
      {
        "Path": "sample string 1",
        "DocumentName": "sample string 2",
        "ProtocolId": 3,
        "ValidFlag": true,
        "DateCreated": "2026-06-20T12:49:02.9328577-07:00",
        "DateUpdated": "2026-06-20T12:49:02.9328577-07:00",
        "UserIDCreated": 7,
        "UserIDUpdated": 8,
        "CompanyCode": "sample string 9",
        "IsExcludeDiscount": true
      }
    ],
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:49:02.9328577-07:00",
    "DateUpdated": "2026-06-20T12:49:02.9328577-07:00",
    "UserIDCreated": 18,
    "UserIDUpdated": 19,
    "CompanyCode": "sample string 20",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}